Bug 310121 - (CVE-2007-4986) CVE-2007-4986 Multiple integer overflows in ImageMagick
CVE-2007-4986 Multiple integer overflows in ImageMagick
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=idefense,publi...
: Security
Depends On: 411331 411341 411351 411361 411371 411381 411391
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 19:06 EDT by Red Hat Product Security
Modified: 2016-03-04 06:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch from Jonathan Smith (10.09 KB, patch)
2007-10-29 07:28 EDT, Mark J. Cox (Product Security)
no flags Details | Diff
ImageMagick-5.5.6-CVE-2007-4986.patch (10.13 KB, patch)
2007-12-05 07:14 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-09-27 19:06:42 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4986 to the following vulnerability:

Multiple integer overflows in ImageMagick before 6.3.5-9 allow context-dependent attackers to execute arbitrary code via a crafted (1) .dcm, (2) .dib, (3) .xbm, (4) .xcf, or (5) .xwd image file, which triggers a heap-based buffer overflow.

References:

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=594
http://studio.imagemagick.org/pipermail/magick-announce/2007-September/000037.html
http://www.imagemagick.org/script/changelog.php
http://www.securityfocus.com/bid/25763
http://www.frsirt.com/english/advisories/2007/3245
http://www.securitytracker.com/id?1018729
http://secunia.com/advisories/26926
http://xforce.iss.net/xforce/xfdb/36738
Comment 1 Mark J. Cox (Product Security) 2007-10-29 07:28:15 EDT
Created attachment 241651 [details]
backported patch from Jonathan Smith
Comment 2 Lubomir Kundrak 2007-12-04 17:12:07 EST
        CVE-2007-4986 Affects: RHEL2.1 (except dib and xcf coders, which were
not present yet)
        CVE-2007-4986 Affects: RHEL3
        CVE-2007-4986 Affects: RHEL4
        CVE-2007-4986 Affects: RHEL5
Comment 4 Bastien Nocera 2007-12-05 07:14:34 EST
Created attachment 278221 [details]
ImageMagick-5.5.6-CVE-2007-4986.patch

Backported patch for 5.5.6 (as used in RHEL-3)
Comment 6 Red Hat Bugzilla 2009-10-23 15:03:23 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.